/*
 * $Id: DocumentIdGenerator.java,v 1.3 2005/11/06 14:44:57 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss.util;

/**
 * ドキュメントIDを生成する
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class DocumentIdGenerator {
	/**
	 * ドキュメントIDを生成する．
	 * @param docno 文書番号
	 * @param digest メッセージダイジェスト
	 * @return 生成されたドキュメントID
	 */
	public static final String getDocumentId(long docno, String digest) {
		return docno + "*" + digest;
	}
	/**
	 * ドキュメントIDから文書番号を取り出す
	 * @param docid ドキュメントID
	 * @return 取り出された文書番号(-1:フォーマットがおかしい)
	 */
	public static final long getDocumentNo(String docid) {
		String[] tokens = docid.split("\\*");
		return tokens == null || tokens.length == 0 ? -1 : Long.parseLong(tokens[0]);
	}
}
